#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EContentModeratorLevel {
    Any = 0,
    Supervisor = 1,
    Valve = 10,
    MAX = 11,
}

impl EContentModeratorLevel {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Any as i32 => Some(Self::Any),
            x if x == Self::Supervisor as i32 => Some(Self::Supervisor),
            x if x == Self::Valve as i32 => Some(Self::Valve),
            x if x == Self::MAX as i32 => Some(Self::MAX),
            _ => None,
        }
    }
}
